/****************************************************************************/
/*                                                                          */
/*  Nom du fichier    : carre.cpp                                           */
/*                                                                          */
/*  Auteur(s)         : Röthlisberger Henri                                 */
/*                                                                          */
/*  Date de creation  : 21.12.99 1999                                       */
/*                                                                          */
/*  But               : Affiche un carré.                                   */
/*                                                                          */
/*  Date de modif.    : 21.02.01 PGT                                        */
/*  Raison            : Adaptation à la nouvelle version de Spider          */
/*                                                                          */
/*  Modules appeles   : Spider                                              */
/*  Mat. particulier  :                                                     */
/*                                                                          */
/*  Compilateur       : Microsoft Visual C++ 6.0                            */
/*  mode              :                                                     */
/*  Remarques         :                                                     */
/*                                                                          */
/****************************************************************************/

#include <windows.h>
#include "Spider.h"

const int Carre_x    = 100;      //position du coin sup gauche d'un carré
const int Carre_y    = 100;
const int Carre_cote = 10;       //de côté 10

void Carre(const int x,const int y,const int cote);  //prototype

void main(void)                  //programme principal
{
  Spider::initWindow("Carre");   //ouverture de la fenêtre

  Carre(Carre_x,Carre_y,Carre_cote);//dessin du carré
   
  Sleep(10000);                  //maintient l'affichage

  Spider::closeWindow();         //fermeture de la fenêtre
}

void Carre(const int x,const int y,const int cote)
{
  Spider::moveTo(x,y);
  Spider::line(cote,0);
  Spider::line(0,cote);
  Spider::line(-cote,0);
  Spider::line(0,-cote);
}